public inbox for gentoo-commits@lists.gentoo.org
 help / color / mirror / Atom feed
From: "Michał Górny" <mgorny@gentoo.org>
To: gentoo-commits@lists.gentoo.org
Subject: [gentoo-commits] repo/gentoo:master commit in: dev-python/PyPDF2/
Date: Mon, 21 Nov 2022 13:24:56 +0000 (UTC)	[thread overview]
Message-ID: <1669037091.b0dfa4dfeae2f7da2db6356b582aaac8aa519c0b.mgorny@gentoo> (raw)

commit:     b0dfa4dfeae2f7da2db6356b582aaac8aa519c0b
Author:     Michał Górny <mgorny <AT> gentoo <DOT> org>
AuthorDate: Mon Nov 21 11:57:54 2022 +0000
Commit:     Michał Górny <mgorny <AT> gentoo <DOT> org>
CommitDate: Mon Nov 21 13:24:51 2022 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=b0dfa4df

dev-python/PyPDF2: Bump to 2.11.2

Signed-off-by: Michał Górny <mgorny <AT> gentoo.org>

 dev-python/PyPDF2/Manifest             |  1 +
 dev-python/PyPDF2/PyPDF2-2.11.2.ebuild | 58 ++++++++++++++++++++++++++++++++++
 2 files changed, 59 insertions(+)

diff --git a/dev-python/PyPDF2/Manifest b/dev-python/PyPDF2/Manifest
index 3874a43eb404..4f078f5536f7 100644
--- a/dev-python/PyPDF2/Manifest
+++ b/dev-python/PyPDF2/Manifest
@@ -1,2 +1,3 @@
 DIST PyPDF2-2.11.1.gh.tar.gz 6460157 BLAKE2B b9b6d1801b24c2d522200636700d26f651a5c877d31d3a72a8b9a8748a8063e163644d8ce115975a122cdfa4ad9f566f932ddd5b8f2f4545c57332f6c9f34154 SHA512 d1742a96db4b1385c0d670c682dd326d2a12e4ef36bff281bdf56b5df463c1a6ae023e40a4c591afc3c7176a73ceb610f23819cdcfebd2ecca7b327c1d21cec3
+DIST PyPDF2-2.11.2.gh.tar.gz 6577234 BLAKE2B a6c7892364c54a44bf005fb105a5fd6f68beb44f54bc437d84d02978439943871ba18178ea9917c44572acc1f67b6647817fd789fcdaa8209ed6e44a0e8fcaef SHA512 4405ea7594c2d6ce691a8421f874ac551ae55f03d3bec32e7384ad0385581ecb4bdf1582f7c3f3d7da64871a80c0e5691fc5cdcafc3cb3d88e89225fd30bb788
 DIST PyPDF2-sample-files-bedcbe077c4898e1b97c6c6f81d937f5048b4630.gh.tar.gz 7198720 BLAKE2B 91d177e7329fd137322972a3a38841cb0611de7f839071fe2fa5ecff0343cbffdf6976f42f4a779f520a8a2bac2d6573c5cd65bf2f1bc68395077e6e9c7322d9 SHA512 0cdaee85f1da12cf678165f06c8d351aa0808137d25f68c07f19f1bd3c929eeb52e604041dfaa0df94665379aeb7d19a43426d724a5e6602b7e4fbe7a62e753d

diff --git a/dev-python/PyPDF2/PyPDF2-2.11.2.ebuild b/dev-python/PyPDF2/PyPDF2-2.11.2.ebuild
new file mode 100644
index 000000000000..6159dc70df6d
--- /dev/null
+++ b/dev-python/PyPDF2/PyPDF2-2.11.2.ebuild
@@ -0,0 +1,58 @@
+# Copyright 1999-2022 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_PEP517=flit
+PYTHON_COMPAT=( python3_{8..11} )
+
+inherit distutils-r1
+
+SAMPLE_COMMIT=bedcbe077c4898e1b97c6c6f81d937f5048b4630
+DESCRIPTION="Python library to work with PDF files"
+HOMEPAGE="
+	https://pypi.org/project/PyPDF2/
+	https://github.com/py-pdf/PyPDF2/
+"
+SRC_URI="
+	https://github.com/py-pdf/PyPDF2/archive/${PV}.tar.gz
+		-> ${P}.gh.tar.gz
+	test? (
+		https://github.com/py-pdf/sample-files/archive/${SAMPLE_COMMIT}.tar.gz
+			-> ${PN}-sample-files-${SAMPLE_COMMIT}.gh.tar.gz
+	)
+"
+
+LICENSE="BSD-2"
+SLOT="0"
+KEYWORDS="~amd64 ~arm64 ~ppc64 ~x86"
+RESTRICT="test"
+# 150+ tests require network, too many to deselect
+PROPERTIES="test_network"
+
+RDEPEND="
+	$(python_gen_cond_dep '
+		dev-python/typing-extensions[${PYTHON_USEDEP}]
+	' 3.8 3.9)
+"
+BDEPEND="
+	dev-python/pillow[${PYTHON_USEDEP}]
+	test? (
+		dev-python/pycryptodome[${PYTHON_USEDEP}]
+	)
+"
+
+distutils_enable_tests pytest
+
+EPYTEST_DESELECT=(
+	# rely on -Werror
+	tests/test_utils.py::test_deprecate_no_replacement
+	tests/test_workflows.py::test_orientations
+)
+
+src_unpack() {
+	default
+	if use test; then
+		mv "sample-files-${SAMPLE_COMMIT}"/* "${P}"/sample-files/ || die
+	fi
+}


             reply	other threads:[~2022-11-21 13:25 UTC|newest]

Thread overview: 102+ messages / expand[flat|nested]  mbox.gz  Atom feed  top
2022-11-21 13:24 Michał Górny [this message]
  -- strict thread matches above, loose matches on Subject: below --
2023-07-19 11:10 [gentoo-commits] repo/gentoo:master commit in: dev-python/PyPDF2/ Michał Górny
2023-01-27 10:52 Michał Górny
2023-01-26 21:49 Sam James
2023-01-26 20:55 Arthur Zamarin
2022-12-25 17:53 Michał Górny
2022-12-25 16:48 Sam James
2022-12-23  7:30 Arthur Zamarin
2022-12-12 15:33 Michał Górny
2022-11-04  8:38 Michał Górny
2022-11-04  8:16 Agostino Sarubbo
2022-11-03 22:07 Sam James
2022-10-10 14:04 Michał Górny
2022-10-03  9:39 Michał Górny
2022-10-03  8:24 Agostino Sarubbo
2022-10-03  0:44 Sam James
2022-09-26 11:21 Michał Górny
2022-09-22 12:15 Michał Górny
2022-09-16  7:21 Arthur Zamarin
2022-09-11  5:31 Michał Górny
2022-09-10 22:57 Jakov Smolić
2022-09-10 22:57 Jakov Smolić
2022-09-10  5:38 Arthur Zamarin
2022-09-07  5:08 Michał Górny
2022-09-06 21:15 Sam James
2022-09-06 21:12 Sam James
2022-09-04 16:22 Michał Górny
2022-08-28 20:15 Arthur Zamarin
2022-08-22 19:23 Arthur Zamarin
2022-08-15 19:06 Arthur Zamarin
2022-08-15  8:08 Michał Górny
2022-08-15  7:46 Agostino Sarubbo
2022-08-15  7:40 Agostino Sarubbo
2022-08-12 14:09 Michał Górny
2022-08-12 10:49 Agostino Sarubbo
2022-08-09  7:43 Agostino Sarubbo
2022-08-07 19:22 Arthur Zamarin
2022-08-01 11:07 Michał Górny
2022-07-26  6:43 Sam James
2022-07-25  7:12 Michał Górny
2022-07-23  6:22 Michał Górny
2022-07-18  7:54 Michał Górny
2022-07-11  7:06 Michał Górny
2022-07-10 19:16 Michał Górny
2022-07-10 19:12 Sam James
2022-07-10 19:12 Sam James
2022-07-09  8:41 Michał Górny
2022-06-30 17:09 Arthur Zamarin
2022-06-27  4:40 Michał Górny
2022-06-20  6:39 Michał Górny
2022-06-19 18:08 Arthur Zamarin
2022-06-19  5:06 Michał Górny
2022-06-18 20:25 Sam James
2022-06-18 20:25 Sam James
2022-06-18  6:47 Michał Górny
2022-06-14  4:26 Michał Górny
2022-06-13  7:18 Michał Górny
2022-06-06 18:44 Arthur Zamarin
2022-06-02 19:36 Michał Górny
2022-06-02  6:42 Michał Górny
2022-05-30  7:22 Michał Górny
2022-05-29  7:09 Michał Górny
2022-05-24  6:16 Michał Górny
2022-05-23  6:34 Michał Górny
2022-05-21 19:25 Michał Górny
2022-05-21 17:35 Jakov Smolić
2022-05-21 17:35 Jakov Smolić
2022-05-18 10:47 Andrew Ammerlaan
2022-05-03  8:27 Michał Górny
2022-05-02 12:42 Michał Górny
2022-05-02  8:27 Michał Górny
2022-04-24 17:47 Arthur Zamarin
2022-04-21 20:48 Michał Górny
2022-04-20  7:47 Michał Górny
2022-04-20  7:47 Michał Górny
2022-04-19  8:45 Michał Górny
2022-04-19  6:47 Arthur Zamarin
2022-04-19  6:47 Arthur Zamarin
2022-04-16 15:36 Arthur Zamarin
2022-04-13  5:30 Michał Górny
2022-04-10 21:20 Michał Górny
2022-04-08 10:00 Michał Górny
2022-04-08 10:00 Michał Górny
2022-04-08  9:03 Michał Górny
2022-04-08  8:56 Michał Górny
2022-04-08  8:56 Michał Górny
2022-03-16  8:08 Michał Górny
2022-03-15 18:23 Jakov Smolić
2022-01-29 22:09 Michał Górny
2021-07-25  1:10 Sam James
2021-07-17  4:16 Sam James
2021-02-20 15:34 Ben Kohler
2021-02-18 20:11 Sergei Trofimovich
2020-04-15  2:49 Mike Gilbert
2020-02-05 19:53 Michał Górny
2020-01-07 15:42 Ben Kohler
2018-01-02 14:57 Michał Górny
2017-08-05  8:55 Michael Palimaka
2017-07-15 17:18 Tobias Klausmann
2015-08-21  4:18 Ian Delaney
2015-08-21  1:04 Ian Delaney
2015-08-16 15:09 Ian Delaney

Reply instructions:

You may reply publicly to this message via plain-text email
using any one of the following methods:

* Save the following mbox file, import it into your mail client,
  and reply-to-all from there: mbox

  Avoid top-posting and favor interleaved quoting:
  https://en.wikipedia.org/wiki/Posting_style#Interleaved_style

* Reply using the --to, --cc, and --in-reply-to
  switches of git-send-email(1):

  git send-email \
    --in-reply-to=1669037091.b0dfa4dfeae2f7da2db6356b582aaac8aa519c0b.mgorny@gentoo \
    --to=mgorny@gentoo.org \
    --cc=gentoo-commits@lists.gentoo.org \
    --cc=gentoo-dev@lists.gentoo.org \
    /path/to/YOUR_REPLY

  https://kernel.org/pub/software/scm/git/docs/git-send-email.html

* If your mail client supports setting the In-Reply-To header
  via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox